View Issue Details

IDProjectCategoryView StatusLast Update
0005086SOGoWeb Mailpublic2020-07-23 13:02
Reportermax@mt6.ru Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.3.2 
Fixed in Version5.0.0 
Summary0005086: Forward is losing attachmets if filenames same
Description

I receive an email with several attachments with the same name, for example 123.txt. Their content is different, but the name is the same, if you FORWARD an email, then one of the attachments is lost.

Steps To Reproduce

1) I receive a letter with two files whose names are identical (1.png)
2) pres in web interface "Forward selected message"
3) in the window that opens, I see only one attached file (2.png)

Tagsforward

Activities

max@mt6.ru

max@mt6.ru

2020-07-21 07:17

reporter  

2.png (42,393 bytes)   
2.png (42,393 bytes)   
1.png (21,003 bytes)   
1.png (21,003 bytes)   
francis

francis

2020-07-22 17:00

administrator   ~0014567

The attachment is actually the whole message, including all attachments.

This is a user setting. Go to your preferences, under the Mail section, you can choose Forward messages inline or Forward messages as attachment.

max@mt6.ru

max@mt6.ru

2020-07-23 03:48

reporter   ~0014568

I used these settings - attachments with the same names are still lost

Related Changesets

sogo: master 9c391b8d

2020-07-23 12:56:35

francis

Details Diff
fix(mail): use unique names for attachments

Fixes 0005086
Affected Issues
0005086
mod - SoObjects/Mailer/SOGoDraftObject.h Diff File
mod - SoObjects/Mailer/SOGoDraftObject.m Diff File
mod - UI/MailerUI/UIxMailEditor.m Diff File
mod - UI/Templates/MailerUI/UIxMailViewTemplate.wox Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File

Issue History

Date Modified Username Field Change
2020-07-21 07:17 max@mt6.ru New Issue
2020-07-21 07:17 max@mt6.ru Tag Attached: forward
2020-07-21 07:17 max@mt6.ru File Added: 2.png
2020-07-21 07:17 max@mt6.ru File Added: 1.png
2020-07-22 17:00 francis Note Added: 0014567
2020-07-23 03:48 max@mt6.ru Note Added: 0014568
2020-07-23 13:02 francis Changeset attached => sogo master 9c391b8d
2020-07-23 13:02 francis Assigned To => francis
2020-07-23 13:02 francis Resolution open => fixed
2020-07-23 13:02 francis Status new => resolved
2020-07-23 13:02 francis Fixed in Version => 5.0.0